Bug 169147 - Further optimize checkWebRTCAvailability
Summary: Further optimize checkWebRTCAvailability
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-03-03 14:00 PST by Jon Lee
Modified: 2017-03-27 10:48 PDT (History)
6 users (show)

See Also:


Attachments
Patch (2.23 KB, patch)
2017-03-25 18:02 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Moving the routine within LIBWEBRTC flag (2.30 KB, patch)
2017-03-25 23:30 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Lee 2017-03-03 14:00:02 PST
Further optimization on b168913 as suggested by Dan:

> This check can be implemented by null-checking any of the symbols known to be exported from the dylib, which is a single branch. An implementation that involves a function call still seems unoptimal.
Comment 1 youenn fablet 2017-03-24 16:14:21 PDT
I'll go other it this week-end if nobody gets it before.
Comment 2 youenn fablet 2017-03-25 18:02:46 PDT
Created attachment 305409 [details]
Patch
Comment 3 youenn fablet 2017-03-25 18:04:14 PDT
Might be related to radar://31242422
Comment 4 youenn fablet 2017-03-25 23:30:28 PDT
Created attachment 305415 [details]
Moving the routine within LIBWEBRTC flag
Comment 5 Radar WebKit Bug Importer 2017-03-26 11:15:46 PDT
<rdar://problem/31263660>
Comment 6 WebKit Commit Bot 2017-03-27 10:48:25 PDT
Comment on attachment 305415 [details]
Moving the routine within LIBWEBRTC flag

Clearing flags on attachment: 305415

Committed r214418: <http://trac.webkit.org/changeset/214418>
Comment 7 WebKit Commit Bot 2017-03-27 10:48:28 PDT
All reviewed patches have been landed.  Closing bug.